Package de.gebit.integrity.runner.exceptions

## Class ModelAmbiguousException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.gebit.integrity.runner.exceptions.ModelLoadException
      - - de.gebit.integrity.runner.exceptions.ModelAmbiguousException

- All Implemented Interfaces:
    `Serializable`

      public class ModelAmbiguousException
      extends ModelLoadException

  Thrown during model loading if ambiguous definitions (variables, constants, suites, variants, forks) were found.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelAmbiguousException​(String aMessage, Set<AmbiguousDefinition> someAmbiguousDefinitions)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<AmbiguousDefinition>` | `getDuplicateDefinitions()` |
    `void` | `printAmbiguousDefinitions()` | Prints a readable list of all ambiguous definitions to `System.err`.
    `void` | `printAmbiguousDefinitions​(PrintStream aTargetStream)` | Prints a readable list of all ambiguous definitions to the given stream.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelAmbiguousException

          public ModelAmbiguousException​(String aMessage,
                                         Set<AmbiguousDefinition> someAmbiguousDefinitions)

      Creates an instance.
      Parameters:
        `aMessage` - a string message
        `someAmbiguousDefinitions` - the ambiguous definitions

  - ### Method Detail

    - #### getDuplicateDefinitions

          public Set<AmbiguousDefinition> getDuplicateDefinitions()

    - #### printAmbiguousDefinitions

          public void printAmbiguousDefinitions()

      Prints a readable list of all ambiguous definitions to `System.err`.

    - #### printAmbiguousDefinitions

          public void printAmbiguousDefinitions​(PrintStream aTargetStream)

      Prints a readable list of all ambiguous definitions to the given stream.
      Parameters:
        `aTargetStream` - the target stream